### Signal

# Devhelp WebView::open-new-tab

since: 3.30

#### Declaration

    void
    open_new_tab (
      DhWebView* self,
      gchar* uri,
      gpointer user_data
    )

#### Description [src]

The ::open-new-tab signal is emitted when a URI needs to be opened in a new `DhWebView`. This happens when doing Ctrl+click or middle click on a link.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 3.30

#### Parameters

`uri`

  Type: `gchar*`

  The URI to open.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.